Package org.apache.commons.lang3.function

# Interface FailableDoubleConsumer<E extends Throwable>

Type Parameters:
  `E` - The kind of thrown exception or error.

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public interface FailableDoubleConsumer<E extends Throwable>
A functional interface like `DoubleConsumer` that declares a `Throwable`.

Since:
  3.11

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final FailableDoubleConsumer`
  `NOP`
  NOP singleton

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `accept(double value)`
  Accepts the given arguments.
  `default FailableDoubleConsumer<E>`
  `andThen(FailableDoubleConsumer<E> after)`
  Returns a composed `FailableDoubleConsumer` like `DoubleConsumer.andThen(DoubleConsumer)`.
  `static <E extends Throwable>
  FailableDoubleConsumer<E>`
  `nop()`
  Gets the NOP singleton.

- ## Field Details

  - ### NOP

    static final FailableDoubleConsumer NOP
    NOP singleton

- ## Method Details

  - ### nop

    static <E extends Throwable> FailableDoubleConsumer<E> nop()
    Gets the NOP singleton.
    Type Parameters:
      `E` - The kind of thrown exception or error.
    Returns:
      The NOP singleton.

  - ### accept

    void accept(double value) throws E
    Accepts the given arguments.
    Parameters:
      `value` - the parameter for the consumable to accept
    Throws:
      `E` - Thrown when the consumer fails.

  - ### andThen

    default FailableDoubleConsumer<E> andThen(FailableDoubleConsumer<E> after)
    Returns a composed `FailableDoubleConsumer` like `DoubleConsumer.andThen(DoubleConsumer)`.
    Parameters:
      `after` - the operation to perform after this one.
    Returns:
      a composed `FailableDoubleConsumer` like `DoubleConsumer.andThen(DoubleConsumer)`.
    Throws:
      `NullPointerException` - when `after` is null.